@keyframes piscar {
    0% {
      opacity: 1;
    }
    50% {
      opacity: 0;
    }
    100% {
      opacity: 1;
    }
  }

.msgGeral{
    font-family: arial;
    font-size: 1.2em;
}
.cabecalho{
    position: fixed;
    z-index: 1;
    background-color: blue;
    color: white;
    top: 0;
    left:0;
    height: 8%; 
    width: 100%;
    align-content: center;
    text-align: center;
    display: flex;
    flex-direction: row;
    gap: 0.5%;
    align-items: center;
    box-sizing: border-box;
}

.cabLogo{
    position:relative;
    margin-left: 0.5%;
    border-radius: 50px;
    width: 3%;
    height: 80%;
    background-size: 80% 80%;
    background-position: center;
    background-repeat: no-repeat;
}

.fotoPerfil{
    position:relative;
    border-radius: 1em;
    width: 3%;
    height: 80%;
    margin-right: 0.5%;
    box-shadow: 1px 1px 10px;
    background-size: 80% 80%;
    background-position: center;
    background-repeat: no-repeat;
    cursor: pointer;
}

.imgFotoPerfil{
    position:relative;
    border-radius: 50px;
    width: 100%;
    height: 100%; 
    box-shadow: 1px 1px 10px;
    cursor: pointer;
}

.imgMeAgite{
    position: relative;
    width: 100%;
    height: 100%;
    border-radius: 1em;
    cursor: pointer;
}

.menu{
    width: 88%;
    align-items: center;
}

.subMenu{
    display: none;
    flex-direction: row;
    justify-content: center;
    width: 100%;
    height: 90%;
    align-items: center;
}

.subitem{
    width: 15%;
    height: 60%;
    cursor: pointer;
    font-family: arial;
    font-size: 1em;
    border-radius: 1em;
    align-content: center;
}

.subitem:hover{
    background-color: red;
    color: yellow;
}

.opcoesAcao{
    height: 100%;
    width: 5%;
    display: flex;
    flex-direction: row;
    justify-content: right;
    gap: 2%;
    align-items: center;
}

.btnVoltar{
    width: 48%;
    height: 80%;
    cursor: pointer;
    background-image: url("../img/voltar.png");
    background-size: 90% 90%;    
    background-position: center;
    background-repeat: no-repeat;
}

.btnVoltar:hover{
    background-image: url("../img/voltarRed.png");
}

.btnSalvar{
    background-image: url("../img/salvar.png");
    width: 48%;
    height: 80%;
    cursor: pointer;
    background-size: 90% 90%;    
    background-position: center;
    background-repeat: no-repeat;
}

.btnSalvar:hover{
    background-image: url("../img/salvarRed.png");
}

.captacao{
    display:none;
    width: 48%;
    height: 80%;
    cursor: pointer;
    background-image: url("../img/captar.png");
    background-size: 70% 70%;    
    background-position: center;
    background-repeat: no-repeat;
}

.sinoNotific{
    width: 48%;
    height: 80%;
    cursor: pointer;
    background-image: url("../img/notificacao.png");
    background-size: 80% 80%;    
    background-position: center;
    background-repeat: no-repeat;
}

.espacoFixo{
    position: relative;
    margin-top: 4%;
    height: 0;
}

.opcoes{
    position: absolute;
    width: 450px;
    top: 85%;
    left: 3%;
    display: flex;
    flex-direction: row;
    justify-content: space-between; 
}

.grupoBotoes{
    position: absolute;
    width: 450px;
    top: 90%;
    left: 0%;
}

.grupoBotoesValidaCadastro{
    position: absolute;
    width: 450px;
    top: 65%;
    left: 0.5%;
}

.grupoBotoesCriarAcesso{
    position: absolute;
    width: 450px;
    top: 90%;
    left: 0%;
}

.grupoBotoesValidarCadastro{
    position: absolute;
    width: 450px;
    top: 75%;
    left: 0.5%;
}

.grupoBotoesValidacao{
    position: absolute;
    width: 450px;
    margin-top: 2%;
    left: 0.5%;
}

.grupoBotoesTrocaSenha{
    position: absolute;
    width: 450px;
    left: 0.5%;
}

.gBTrocarSenha{
    position: absolute;
    width: 450px;
    left: 0.5%;
}

.gBNovaSenha{
    position: absolute;
    width: 450px;
    left: 0.5%;
}

.btn{
    position: relative;
    text-align: center;
    width: 30%; /* defina pela quantidade de botões */
    background-color: blue;
    border-radius: 10px;
    color: #fff;
    font-size: 18px;
    transition: background-color 0.5s;
    align-content: center;
}

.btnAcao{
    position: relative;
    padding: 8%;
    cursor: pointer;
    border:none; 
    width: 100%;
    height: 100%;
    color: white;
    background-color:transparent;
}

.btn:hover{
    background-color: red;
    color:yellow;
}

.btnAcao:hover{
    color:yellow;    
}


@media(max-width: 450px){
    .cabecalho{
        height: 10%; 
    }   

    .cabLogo{
        margin-left: 1%;
        width: 15%;
        height: 70%;
    }

    .menu{
        font-size: 0.7em;
    }    

    .subMenu{
        margin-left: 3%;
        width: 90%;
    }

    .subitem{
        width: 60%;
        font-size: 0.6em;
    }

    ._config{
        display: none;
    }

    .opcoesAcao{
        width: 30%;
        gap: 0;
        margin-right: 2%;
    }    

    .btnVoltar{
        background-size: 80% 50%;
    }    

    .btnSalvar{
        background-size: 80% 70%;
    }    

    .fotoPerfil{
        margin-right: 2%;
        width: 15%;
        height: 70%;    
    }

    .espacoFixo{
        margin-top: 20%;
    }
    .opcoes{
        position: absolute;
        width: 90%; 
        display: flex;
        flex-wrap: wrap;
    }       

    .grupoBotoesValidarCadastro{
        width: 340px;
        left: 1%;
        top: 95%;
    }    

    .grupoBotoesCriarAcesso{
        width: 350px;
    }    

    .grupoBotoes{
        width: 350px;
    }
    
    .grupoBotoesTrocaSenha{
        width: 350px;
        left: 2%;
    }

    .gBTrocarSenha{
        width: 350px;
    }
    
    .gBNovaSenha{
        width: 350px;
        left: 0.5%;
    }
    
    .grupoBotoesValidacao{
        width: 350px;
    }   
}